package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag705;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT705Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag44ACreator extends AbsTagCreate {

     private MT705Creator mt705Creator;

    public Tag44ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt705Creator= (MT705Creator) absMTCreator;
    }

    public void creator()
    {
        String tag44AValue = mt705Creator.getPlaceofTakinginChargeDispatchfromPlaceofReceipt();
        mt705Creator.set("44A", tag44AValue);
    }
}

